package model

type GuideOrder struct {
	Id                 int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Oid                int64  `json:"oid" xorm:"default 0 BIGINT(20)"`
	Uid                int    `json:"uid" xorm:"default 0 INT(11)"`
	ExtendUid          int    `json:"extend_uid" xorm:"default 0 INT(11)"`
	StationUid         int    `json:"station_uid" xorm:"default 0 INT(11)"`
	PvdOid             string `json:"pvd_oid" xorm:"VARCHAR(100)"`
	PvdParentOid       string `json:"pvd_parent_oid" xorm:"VARCHAR(100)"`
	Status             string `json:"status" xorm:"VARCHAR(100)"`
	CreateTime         int    `json:"create_time" xorm:"default 0 INT(11)"`
	UpdateTime         int    `json:"update_time" xorm:"default 0 INT(11)"`
	SettleTime         int    `json:"settle_time" xorm:"default 0 INT(11)"`
	PlatformSettleTime int    `json:"platform_settle_time" xorm:"default 0 INT(11)"`
	Commission         string `json:"commission" xorm:"default 0.00 DECIMAL(20,2)"`
	RealCommission     string `json:"real_commission" xorm:"default 0.00 DECIMAL(20,2)"`
	Title              string `json:"title" xorm:"VARCHAR(255)"`
	Payment            string `json:"payment" xorm:"default 0.00 DECIMAL(20,2)"`
	Pvd                string `json:"pvd" xorm:"VARCHAR(255)"`
	Img                string `json:"img" xorm:"VARCHAR(255)"`
	IsShare            int    `json:"is_share" xorm:"default 0 INT(1)"`
	Ext                string `json:"ext" xorm:"VARCHAR(3000)"`
	Gid                string `json:"gid" xorm:"VARCHAR(255)"`
	TeamType           string `json:"team_type" xorm:"VARCHAR(255)"`
	TaskType           string `json:"task_type" xorm:"VARCHAR(255)"`
	ThreeType          string `json:"three_type" xorm:"VARCHAR(255)"`
}
