package model

import (
	"time"
)

type MasterAmount struct {
	Id              int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid             string    `json:"uid" xorm:"comment('master表的id') unique VARCHAR(255)"`
	Amount          string    `json:"amount" xorm:"default 0.00 DECIMAL(20,2)"`
	Type            string    `json:"type" xorm:"VARCHAR(255)"`
	UpdateTime      time.Time `json:"update_time" xorm:"DATETIME"`
	LastMonthAmount string    `json:"last_month_amount" xorm:"DECIMAL(20,2)"`
	MonthAmount     string    `json:"month_amount" xorm:"DECIMAL(20,2)"`
	ChangeTime      time.Time `json:"change_time" xorm:"comment('标记本月是否把预估结算佣金转换') DATETIME"`
	ExtendUid       string    `json:"extend_uid" xorm:"VARCHAR(255)"`
}
