package model

import (
	"time"
)

type MasterAmountFlow struct {
	Id           int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid          string    `json:"uid" xorm:"VARCHAR(255)"`
	Time         time.Time `json:"time" xorm:"DATETIME"`
	BeforeAmount string    `json:"before_amount" xorm:"default 0.00 DECIMAL(20,2)"`
	Amount       string    `json:"amount" xorm:"default 0.00 DECIMAL(20,2)"`
	AfterAmount  string    `json:"after_amount" xorm:"default 0.00 DECIMAL(20,2)"`
	Platform     string    `json:"platform" xorm:"VARCHAR(255)"`
	Oid          string    `json:"oid" xorm:"VARCHAR(255)"`
	Title        string    `json:"title" xorm:"VARCHAR(255)"`
	FlowType     string    `json:"flow_type" xorm:"VARCHAR(255)"`
	IncomeType   int       `json:"income_type" xorm:"default 0 INT(1)"`
	ExtendUid    string    `json:"extend_uid" xorm:"VARCHAR(255)"`
}
