package enum

type SysCfg string

const (
	WxMchApiV3Key                = "wx_mch_api_v3_key"
	WxMchCertificateSerialNumber = "wx_mch_certificate_serial_number"
	WxMchId                      = "wx_mch_id"
	WxOfficialAccountAppId       = "wx_official_account_app_id"
	WxOfficialAccountAppSecret   = "wx_official_account_app_secret"
)

func (gt SysCfg) String() string {
	switch gt {
	case WxMchApiV3Key:
		return "微信商户APIv3密钥"
	case WxMchCertificateSerialNumber:
		return "微信商户证书序列号"
	case WxMchId:
		return "微信商户号"
	case WxOfficialAccountAppId:
		return "微信公众号appId"
	case WxOfficialAccountAppSecret:
		return "微信公众号appSecret"
	default:
		return "未知"
	}
}
