package md

const ZhiosTikTokTaskEsIndex = "zhios_tik_tok_task"
const ZhiosTikTokTaskDetailEsIndex = "zhios_tik_tok_task_detail"
const ZhiosTikTokTaskEsMapping = `
{ 
	"settings" : {
      "number_of_shards" : 2,
      "number_of_replicas" : 1 
    },
	"mappings":{
		"properties":{
			"task_ids":{
				"type": "text"
			}
		}
	}
}`
const ZhiosTikTokTaskDetailEsMapping = `
{ 
	"settings" : {
      "number_of_shards" : 2,
      "number_of_replicas" : 1 
    },
	"mappings":{
		"properties":{
			"appid":{
				"type": "keyword"
			},
			"task_start_time":{
				"type": "integer"
			},
			"task_end_time":{
				"type": "integer"
			},
			"page_type":{
				"type": "integer"
			},
			"start_page":{
				"type": "keyword"
			},
			"task_desc":{
				"type": "keyword"
			},
			"task_icon":{
				"type": "keyword"
			},
			"task_name":{
				"type": "keyword"
			},
			"anchor_title":{
				"type": "keyword"
			},
			"status":{
				"type": "integer"
			},
			"task_tags":{
				"type": "keyword"
			},
			"task_settle_type":{
				"type": "integer"
			},
			"task_id":{
				"type": "keyword"
			},
			"refer_ma_captures":{
				"type": "keyword"
			},
			"refer_video_captures":{
				"type": "keyword"
			},
			"refer_videos":{
				"type": "keyword"
			},
			"refer_gids":{
				"type": "keyword"
			},
			"task_refund_period":{
				"type": "integer"
			},
			"payment_allocate_ratio":{
				"type": "integer"
			},
			"platform_address_app":{
				"type": "keyword"
			},
			"platform_address_web":{
				"type": "keyword"
			},
			"reject_reason":{
				"type": "keyword"
			},
			"task_type":{
				"type": "integer"
			},
			"video_id":{
				"type": "integer"
			},
			"oriented_talent_rel_list":{
				"type": "text"
			}

		}
	}
}`
