package md

const (
	QrcodeTotalNums = 100000
)

type QrcodeBatchListReq struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}

type QrcodeBatchAddReq struct {
	Name       string                  `json:"name"`
	ExpireDate string                  `json:"expire_date"`
	List       []QrcodeBatchAddReqList `json:"list"`
	Memo       string                  `json:"memo"`
}

type QrcodeBatchAddReqList struct {
	Num    int    `json:"num"`
	Amount string `json:"amount"`
}

type QrcodeBatchAddReqListDetail struct {
	Num        int    `json:"num"`
	WaitUseNum int    `json:"wait_use_num"`
	UsedNum    int    `json:"used_num"`
	ExpiredNum int    `json:"expired_num"`
	CancelNum  int    `json:"cancel_num"`
	Amount     string `json:"amount"`
}
