package svc

import (
	"applet/app/db"
	"applet/app/e"
	"github.com/gin-gonic/gin"
)

func GetPlayletOrder(c *gin.Context) {
	var args map[string]string
	if err := c.ShouldBindJSON(&args); err != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err)
		return
	}
	playletSaleOrderDb := db.PlayletSaleOrderDb{}
	playletSaleOrderDb.Set()
	args["mid"] = c.GetString("mid")
	list := playletSaleOrderDb.GetPlayletVideoOrderList(args)
	e.OutSuc(c, list, nil)
	return
}
