package md

type Tpdaren struct {
	Id                int    `json:"id"`
	Description       string `json:"description"`
	Episode           int    `json:"episode"`
	ImageUrl          string `json:"image_url"`
	IsEnd             string `json:"is_end"`
	IsHot             int    `json:"is_hot"`
	PayEpisode        int    `json:"pay_episode"`
	Material          string `json:"material"`
	OnlineTime        string `json:"online_time"`
	Type              string `json:"type"`
	Title             string `json:"title"`
	Data              string `json:"data"`
	VideoType         string `json:"video_type"`
	ChannelTheaterId  int    `json:"channel_theater_id"`
	DouyinTheaterId   int    `json:"douyin_theater_id"`
	KuaishouTheaterId int    `json:"kuaishou_theater_id"`
	UpdateTime        int    `json:"update_time"`
	Time              int    `json:"time"`
	ShareTitle        string `json:"share_title"`
	Appid             string `json:"appid"`
}
type TpdarenNew struct {
	Id                string `json:"id"`
	Description       string `json:"description"`
	Cate              string `json:"cate"`
	Episode           int    `json:"episode"`
	ImageUrl          string `json:"image_url"`
	IsEnd             int    `json:"is_end"`
	IsClose           int    `json:"is_close"`
	IsHot             int    `json:"is_hot"`
	PayEpisode        int    `json:"pay_episode"`
	Material          string `json:"material"`
	OnlineTime        string `json:"online_time"`
	Type              string `json:"type"`
	Title             string `json:"title"`
	Data              string `json:"data"`
	VideoType         string `json:"video_type"`
	ChannelTheaterId  int    `json:"channel_theater_id"`
	DouyinTheaterId   int    `json:"douyin_theater_id"`
	KuaishouTheaterId int    `json:"kuaishou_theater_id"`
	UpdateTime        int    `json:"update_time"`
	Time              int    `json:"time"`
	ShareTitle        string `json:"share_title"`
	Appid             string `json:"appid"`
}
type TpdarenList struct {
	Title             string `json:"title"`
	Description       string `json:"description"`
	ChannelTheaterId  int    `json:"channel_theater_id"`
	DouyinTheaterId   int    `json:"douyin_theater_id"`
	KuaishouTheaterId int    `json:"kuaishou_theater_id"`
	IsEnd             bool   `json:"is_end"`
	Episode           int    `json:"episode"`
	PayEpisode        int    `json:"pay_episode"`
	Material          string `json:"material"`
	ImageUrl          string `json:"image_url"`
	OnlineTime        string `json:"online_time"`
}
