package model

import (
	"time"
)

type Master struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	MasterId   string    `json:"master_id" xorm:"VARCHAR(255)"`
	Phone      string    `json:"phone" xorm:"VARCHAR(255)"`
	Password   string    `json:"password" xorm:"VARCHAR(255)"`
	CreateTime time.Time `json:"create_time" xorm:"DATETIME"`
	IsAgent    int       `json:"is_agent" xorm:"comment('是否代理') INT(1)"`
	FormWay    string    `json:"form_way" xorm:"VARCHAR(255)"`
	ZyId       string    `json:"zy_id" xorm:"VARCHAR(255)"`
	MasterName string    `json:"master_name" xorm:"VARCHAR(255)"`
	UpdateTime time.Time `json:"update_time" xorm:"DATETIME"`
	Alipay     string    `json:"alipay" xorm:"VARCHAR(255)"`
	AlipayName string    `json:"alipay_name" xorm:"VARCHAR(255)"`
	ExtendUid  string    `json:"extend_uid" xorm:"VARCHAR(255)"`
}
