package model

import (
	"time"
)

type TikTokPlanTeam struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	TeamId   string    `json:"team_id" xorm:"VARCHAR(255)"`
	Ext      string    `json:"ext" xorm:"VARCHAR(255)"`
	TikTokId string    `json:"tik_tok_id" xorm:"VARCHAR(255)"`
	IsShow   int       `json:"is_show" xorm:"default 0 INT(1)"`
	Time     time.Time `json:"time" xorm:"DATETIME"`
}
