package enum

type WxOfficialAccountRequest string

const (
	GetAccessToken = "cgi-bin/token"
	QrcodeCreate   = "cgi-bin/qrcode/create"
)

func (gt WxOfficialAccountRequest) String() string {
	switch gt {
	case GetAccessToken:
		return "获取 Access token"
	case QrcodeCreate:
		return "生成带参二维码"
	default:
		return "未知"
	}
}
