package md

const ZhiosTpdarenEsIndex = "zhios_tpdaren"
const ZhiosTpdarenEsIndexNew = "zhios_tpdaren_new"
const ZhiosTpdarenEsMapping = `
{ 
	"settings" : {
      "number_of_shards" : 2,
      "number_of_replicas" : 1 
    },
	"mappings":{
		"properties":{
			"id":{
				"type": "integer"
			},
			"is_hot":{
				"type": "integer"
			},
			
			"video_type":{
				"type": "keyword"
			},
			"appid":{
				"type": "keyword"
			},
			"description":{
				"type": "keyword"
			},
			"episode":{
				"type": "integer"
			},
			"channel_theater_id":{
				"type": "integer"
			},
			"douyin_theater_id":{
				"type": "integer"
			},
			"kuaishou_theater_id":{
				"type": "integer"
			},
			"update_time":{
				"type": "integer"
			},
			"image_url":{
				"type": "keyword"
			},
			"is_end":{
				"type": "integer"
			},
			"pay_episode":{
				"type": "integer"
			},
			"material":{
				"type": "keyword"
			},
			"online_time":{
				"type": "keyword"
			},
			"time":{
				"type": "integer"
			},
			"type":{
				"type": "keyword"
			},
			"title":{
				"type": "keyword"
			},
			"data":{
				"type": "text"
			}
		}
	}
}`
const ZhiosTpdarenNewEsMapping = `
{ 
	"settings" : {
      "number_of_shards" : 2,
      "number_of_replicas" : 1 
    },
	"mappings":{
		"properties":{
			"id":{
				"type": "keyword"
			},
			"is_close":{
				"type": "integer"
			},
			"is_hot":{
				"type": "integer"
			},
			"video_type":{
				"type": "keyword"
			},
			"cate":{
				"type": "keyword"
			},
			"appid":{
				"type": "keyword"
			},
			"description":{
				"type": "keyword"
			},
			"episode":{
				"type": "integer"
			},
			"channel_theater_id":{
				"type": "integer"
			},
			"douyin_theater_id":{
				"type": "integer"
			},
			"kuaishou_theater_id":{
				"type": "integer"
			},
			"update_time":{
				"type": "integer"
			},
			"image_url":{
				"type": "keyword"
			},
			"is_end":{
				"type": "integer"
			},
			"pay_episode":{
				"type": "integer"
			},
			"material":{
				"type": "keyword"
			},
			"online_time":{
				"type": "keyword"
			},
			"time":{
				"type": "integer"
			},
			"type":{
				"type": "keyword"
			},
			"title":{
				"type": "keyword"
			},
			"data":{
				"type": "text"
			}
		}
	}
}`
