package zhimeng_platform

import (
	"github.com/gin-gonic/gin"
)

func NewOrderList(c *gin.Context) {
	pvd := c.Params.ByName("pvd")
	switch pvd {
	case "playlet":
		OrderList(c)
		break
	case "hw":
		HwOrderList(c)
		break
	case "guide":
		GuideOrderList(c)
	case "life":
		LifeOrderList(c)
	}

}
func NewOrderOutput(c *gin.Context) {
	pvd := c.Params.ByName("pvd")
	switch pvd {
	case "playlet":
		OrderOutput(c)
		break
	case "hw":
		HwOrderOutput(c)
		break
	case "guide":
		GuideOrderOutput(c)
	case "life":
		LifeOrderOutput(c)
	}
}
