package md

type Cinema5bms struct {
	Id           int    `json:"id"`
	Name         string `json:"name"`
	Grade        string `json:"grade"`
	Duration     string `json:"duration"`
	PublishDate  string `json:"publish_date"`
	Director     string `json:"director"`
	Cast         string `json:"cast"`
	Intro        string `json:"intro"`
	VersionTypes string `json:"version_types"`
	Language     string `json:"language"`
	FilmTypes    string `json:"film_types"`
	Pic          string `json:"pic"`
	Moviearea    string `json:"moviearea"`
	Actor        string `json:"actor"`
	Stills       string `json:"stills"`
	IsSession    int    `json:"is_session"`
}
type Cinema5bmsOrder struct {
	AddTime      string `json:"add_time"`
	PayTime      string `json:"pay_time"`
	RefundTime   string `json:"refund_time"`
	OrderSn      string `json:"order_sn"`
	FilmName     string `json:"film_name"`
	CinemaName   string `json:"cinema_name"`
	OrderAmount  string `json:"order_amount"`
	OrderStatus  string `json:"order_status"`
	Commission   string `json:"commission"`
	MediumId     string `json:"medium_id"`
	CustomParams string `json:"custom_params"`
	Nsource      string `json:"nsource"`
}
type Cinema5bmsData struct {
	Id          int    `json:"id"`
	IsHot       int    `json:"is_hot"`
	Appid       string `json:"appid"`
	FirstCate   string `json:"first_cate"`
	Type        string `json:"type"`
	Title       string `json:"title"`
	Description string `json:"description"`
	SecondCate  string `json:"second_cate"`
	Episode     int    `json:"episode"`
	Platform    string `json:"platform"`
	UpdateTime  int    `json:"update_time"`
	ImageUrl    string `json:"image_url"`
	IsEnd       int    `json:"is_end"`
	PayEpisode  int    `json:"pay_episode"`
	Material    string `json:"material"`
	OnlineTime  string `json:"online_time"`
	Time        int    `json:"time"`
	IsClose     int    `json:"is_close"`
	Key         string `json:"key"`
}
type Bihai struct {
	Id          int    `json:"id"`
	Name        string `json:"name"`
	Description string `json:"description"`
	ImgUrl      string `json:"img_url"`
	VideoNum    int    `json:"video_num"`
	Price       int    `json:"price"`
	ChargeNum   int    `json:"charge_num"`
	TaskStatus  int    `json:"task_status"`
	AppId       string `json:"app_id"`
	AppName     string `json:"app_name"`
	KsAppId     string `json:"ks_app_id"`
}
type BihaiStory struct {
	Id          int    `json:"id"`
	BookName    string `json:"book_name"`
	Description string `json:"description"`
	BookUrl     string `json:"book_url"`
	IsComplete  int    `json:"is_complete"`
	CreatedAt   string `json:"created_at"`
	Author      string `json:"author"`
	BookContent string `json:"book_content"`
	AppId       string `json:"app_id"`
	AppName     string `json:"app_name"`
}
type BeiwoStory struct {
	AppId      string `json:"app_id"`
	CoverUrl   string `json:"cover_url"`
	Describe   string `json:"describe"`
	Id         int    `json:"id"`
	Name       string `json:"name"`
	PublishUrl string `json:"publish_url"`
	KsAppId    string `json:"ks_app_id"`
}
