package svc

import (
	offical "applet/app/db/official"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/tik_tok"
)

func Base() map[string]string {

	tikTokCsjpAppId := offical.SysCfgByKeyStr("tik_tok_csjp_app_id")
	tikTokCsjpAppSecret := offical.SysCfgByKeyStr("tik_tok_csjp_app_secret")
	var tmp = map[string]string{
		"app_id":     tikTokCsjpAppId,
		"app_secret": tikTokCsjpAppSecret,
	}
	return tmp
}

func CsjpOrder(tikTokArgs map[string]string) map[string]interface{} {
	base := Base()
	tikTokArgs["app_id"] = base["app_id"]
	tikTokArgs["app_secret"] = base["app_secret"]
	order := tik_tok.CsjpOrderList(tikTokArgs)
	return order
}
